## EvAsyncRenderer

EvAsyncRenderer

## Synopsis

    #define             EV_ASYNC_RENDERER_IFACE             (k)
    #define             EV_IS_ASYNC_RENDERER_IFACE          (k)
                        EvAsyncRenderer;
    void                ev_async_renderer_render_pixbuf     (EvAsyncRenderer *renderer,
                                                             int page,
                                                             double scale,
                                                             int rotation);

## Object Hierarchy

      GInterface
       +----EvAsyncRenderer

## Signals

      "render-finished"                                : Run Last

## Description

## Details

### EV_ASYNC_RENDERER_IFACE()

    #define EV_ASYNC_RENDERER_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_ASYNC_RENDERER, EvAsyncRendererInterface))

`k` : |

### EV_IS_ASYNC_RENDERER_IFACE()

    #define EV_IS_ASYNC_RENDERER_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_ASYNC_RENDERER))

`k` : |

### EvAsyncRenderer

    typedef struct _EvAsyncRenderer EvAsyncRenderer;

### ev_async_renderer_render_pixbuf ()

    void                ev_async_renderer_render_pixbuf     (EvAsyncRenderer *renderer,
                                                             int page,
                                                             double scale,
                                                             int rotation);

`renderer` : |
`page` : |
`scale` : |
`rotation` : |

## Signal Details

### The `"render-finished"` signal

    void                user_function                      (EvAsyncRenderer *evasyncrenderer,
                                                            GdkPixbuf       *arg1,
                                                            gpointer         user_data)            : Run Last

`evasyncrenderer` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.